Package com.ocient.jdbc.proto

## Interface ClientWireProtocol.KillQueryOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.KillQuery`, `ClientWireProtocol.KillQuery.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.KillQueryOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getSql()` This is the UUID of the query in string form (e.g.
`com.google.protobuf.ByteString` `getSqlBytes()` This is the UUID of the query in string form (e.g.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getSql

    String getSql()

    This is the UUID of the query in string form (e.g. 123e4567-e89b-12d3-a456-426655440000)

`string sql = 1;`

Returns:
  The sql.

#### getSqlBytes

    com.google.protobuf.ByteString getSqlBytes()

    This is the UUID of the query in string form (e.g. 123e4567-e89b-12d3-a456-426655440000)

`string sql = 1;`

Returns:
  The bytes for sql.